# SPDX-License-Identifier: (GPL-2.0 OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/net/bluetooth/qcom,wcn6750-bt.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Qualcomm WCN6750 Bluetooth

maintainers:
  - Balakrishna Godavarthi <quic_bgodavar@quicinc.com>
  - Rocky Liao <quic_rjliao@quicinc.com>

properties:
  compatible:
    enum:
      - qcom,wcn6750-bt

  enable-gpios:
    maxItems: 1
    deprecated: true

  swctrl-gpios:
    maxItems: 1
    description: gpio specifier is used to find status
                 of clock supply to SoC
    deprecated: true

  vddaon-supply:
    description: VDD_AON supply regulator handle

  vddasd-supply:
    description: VDD_ASD supply regulator handle
    deprecated: true

  vddbtcmx-supply:
    description: VDD_BT_CMX supply regulator handle

  vddbtcxmx-supply:
    description: VDD_BT_CXMX supply regulator handle
    deprecated: true

  vddio-supply:
    description: VDD_IO supply regulator handle
    deprecated: true

  vddrfa0p8-supply:
    description: VDD_RFA_0P8 supply regulator handle

  vddrfa1p2-supply:
    description: VDD_RFA_1P2 supply regulator handle

  vddrfa1p7-supply:
    description: VDD_RFA_1P7 supply regulator handle

  vddrfa2p2-supply:
    description: VDD_RFA_2P2 supply regulator handle

  vddrfacmn-supply:
    description: VDD_RFA_CMN supply regulator handle

required:
  - compatible
  - vddaon-supply
  - vddrfa0p8-supply
  - vddrfa1p2-supply
  - vddrfa1p7-supply
  - vddrfacmn-supply

allOf:
  - $ref: bluetooth-controller.yaml#
  - $ref: qcom,bluetooth-common.yaml
  - $ref: /schemas/serial/serial-peripheral-props.yaml#

unevaluatedProperties: false

examples:
  - |
    serial {
        bluetooth {
            compatible = "qcom,wcn6750-bt";

            firmware-name = "msnv11.bin";
            max-speed = <3200000>;
            vddaon-supply = <&vreg_pmu_aon_0p59>;
            vddbtcmx-supply = <&vreg_pmu_btcmx_0p85>;
            vddrfa0p8-supply = <&vreg_pmu_rfa_0p8>;
            vddrfa1p2-supply = <&vreg_pmu_rfa_1p2>;
            vddrfa1p7-supply = <&vreg_pmu_rfa_1p7>;
            vddrfacmn-supply = <&vreg_pmu_rfa_cmn>;
        };
    };
